Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class DescritorLista

    java.lang.Object
      estella.lib.Lista
          estella.lib.DescritorLista

    public class DescritorLista

extends Lista

Gerencia uma lista do tipo Descritor Essa classe depende da classe de Descritor, no qual gerencia uma Lista de objetos

Since:
  01/12/2005
See Also:
  `Lista`

Field Summary

Fields inherited from class estella.lib.Lista
`CON, LISTA, LOG`

Constructor Summary
`DescritorLista()`
`DescritorLista(java.util.List LISTA)`

Method Summary
`boolean` | `devolve(Descritor descritorOrigem)` Verifica se existe um host (ip / nome computador) na lista e devolve o descritor passado (roteamento de ping e query)
`boolean` | `existe(java.lang.String id)` Verifica se existe um host (ip / nome computador) na lista
`boolean` | `remove(byte[] id)` Verifica se existe um host (ip / nome computador) na lista e remove

Methods inherited from class estella.lib.Lista
`adiciona, existe, limpa, remove, retorna, tamanho`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescritorLista

    public DescritorLista()

### DescritorLista

    public DescritorLista(java.util.List LISTA)

Method Detail

### existe

    public boolean existe(java.lang.String id)

  Verifica se existe um host (ip / nome computador) na lista

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### devolve

    public boolean devolve(Descritor descritorOrigem)

  Verifica se existe um host (ip / nome computador) na lista e devolve o descritor passado (roteamento de ping e query)

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### remove

    public boolean remove(byte[] id)

  Verifica se existe um host (ip / nome computador) na lista e remove

  Parameters:
    `id` - 16 bytes em id para verificar
  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD